Package org.eclipse.emf.cdo.lm.reviews.impl

# Class HeadingImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
org.eclipse.emf.internal.cdo.CDOObjectImpl
org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
org.eclipse.emf.cdo.lm.reviews.impl.CommentableImpl
org.eclipse.emf.cdo.lm.reviews.impl.CommentImpl
org.eclipse.emf.cdo.lm.reviews.impl.HeadingImpl

All Implemented Interfaces:
  `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `ModelElement`, `Comment`, `Commentable`, `Heading`, `SystemElement`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`

public class HeadingImpl extends CommentImpl implements Heading
An implementation of the model object 'Heading'.

Generated
No Extend
  This class is not intended to be subclassed by clients.

  The following features are implemented:

  - `Previous Heading`
  - `Next Heading`
  - `Parent Index`
  - `Outline Number`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.lm.reviews.impl.CommentableImpl

`CommentableImpl.CommentStatistics`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`OUTLINE_NUMBER_EDEFAULT`
The default value of the '`Outline Number`' attribute.
`protected static final int`
`PARENT_INDEX_EDEFAULT`
The default value of the '`Parent Index`' attribute.

### Fields inherited from class org.eclipse.emf.cdo.lm.reviews.impl.CommentImpl

`AUTHOR_EDEFAULT, STATUS_EDEFAULT, TEXT_EDEFAULT`

### Fields inherited from class org.eclipse.emf.cdo.lm.reviews.impl.CommentableImpl

`COMMENT_COUNT_EDEFAULT, RESOLVED_COUNT_EDEFAULT, UNRESOLVED_COUNT_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`HeadingImpl()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`protected EClass`
`eStaticClass()`
`Heading`
`getNextHeading()`
`String`
`getOutlineNumber()`
`int`
`getParentIndex()`
`Heading`
`getPreviousHeading()`

### Methods inherited from class org.eclipse.emf.cdo.lm.reviews.impl.CommentImpl

`basicSetCommentable, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, eSet, eUnset, getAuthor, getCommentable, getParentHeading, getReview, getStatus, getSystem, getText, setAuthor, setCommentable, setStatus, setText`

### Methods inherited from class org.eclipse.emf.cdo.lm.reviews.impl.CommentableImpl

`eInvoke, getCommentCount, getComments, getCommentStatistics, getResolvedCount, getUnresolvedCount`

### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

`eStaticFeatureCount, getAnnotation, getAnnotations`

### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eAdapters, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

`eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.cdo.lm.reviews.Comment

`getAuthor, getCommentable, getParentHeading, getStatus, getText, setAuthor, setCommentable, setStatus, setText`

### Methods inherited from interface org.eclipse.emf.cdo.lm.reviews.Commentable

`getCommentCount, getComments, getResolvedCount, getReview, getUnresolvedCount`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eURIFragmentSegment`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Field Details

### PARENT_INDEX_EDEFAULT

protected static final int PARENT_INDEX_EDEFAULT
The default value of the '`Parent Index`' attribute.

See Also:
  - `getParentIndex()`
  - Constant Field Values
Generated
Ordered

### OUTLINE_NUMBER_EDEFAULT

protected static final String OUTLINE_NUMBER_EDEFAULT
The default value of the '`Outline Number`' attribute.

See Also:
  - `getOutlineNumber()`
Generated
Ordered

## Constructor Details

### HeadingImpl

protected HeadingImpl()

Generated

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `CommentImpl`
Generated

### getPreviousHeading

public Heading getPreviousHeading()

Specified by:
  `getPreviousHeading` in interface `Heading`
Returns:
  the value of the 'Previous Heading' reference.
See Also:
  - `ReviewsPackage.getHeading_PreviousHeading()`
Generated
  NOT

### getNextHeading

public Heading getNextHeading()

Specified by:
  `getNextHeading` in interface `Heading`
Returns:
  the value of the 'Next Heading' reference.
See Also:
  - `ReviewsPackage.getHeading_NextHeading()`
Generated
  NOT

### getParentIndex

public int getParentIndex()

Specified by:
  `getParentIndex` in interface `Heading`
Returns:
  the value of the 'Parent Index' attribute.
See Also:
  - `ReviewsPackage.getHeading_ParentIndex()`
Generated
  NOT

### getOutlineNumber

public String getOutlineNumber()

Specified by:
  `getOutlineNumber` in interface `Heading`
Returns:
  the value of the 'Outline Number' attribute.
See Also:
  - `ReviewsPackage.getHeading_OutlineNumber()`
Generated
  NOT

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `CommentImpl`
Generated

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `CommentImpl`
Generated